Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.util
Class QueryAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ohf.ihe.common.ebxml._3._0.query.util.QueryAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class QueryAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `QueryPackage`

Constructor Summary
`QueryAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createAdhocQueryQueryTypeAdapter()` Creates a new adapter for an object of class '`Adhoc Query Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdhocQueryRequestTypeAdapter()` Creates a new adapter for an object of class '`Adhoc Query Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAdhocQueryResponseTypeAdapter()` Creates a new adapter for an object of class '`Adhoc Query Response Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAssociationQueryTypeAdapter()` Creates a new adapter for an object of class '`Association Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createAuditableEventQueryTypeAdapter()` Creates a new adapter for an object of class '`Auditable Event Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createBooleanFilterTypeAdapter()` Creates a new adapter for an object of class '`Boolean Filter Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createBranchTypeAdapter()` Creates a new adapter for an object of class '`Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationNodeQueryTypeAdapter()` Creates a new adapter for an object of class '`Classification Node Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationQueryTypeAdapter()` Creates a new adapter for an object of class '`Classification Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createClassificationSchemeQueryTypeAdapter()` Creates a new adapter for an object of class '`Classification Scheme Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createCompoundFilterTypeAdapter()` Creates a new adapter for an object of class '`Compound Filter Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createDateTimeFilterTypeAdapter()` Creates a new adapter for an object of class '`Date Time Filter Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createExternalIdentifierQueryTypeAdapter()` Creates a new adapter for an object of class '`External Identifier Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createExternalLinkQueryTypeAdapter()` Creates a new adapter for an object of class '`External Link Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createExtrinsicObjectQueryTypeAdapter()` Creates a new adapter for an object of class '`Extrinsic Object Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createFederationQueryTypeAdapter()` Creates a new adapter for an object of class '`Federation Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createFilterQueryTypeAdapter()` Creates a new adapter for an object of class '`Filter Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createFilterTypeAdapter()` Creates a new adapter for an object of class '`Filter Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createFloatFilterTypeAdapter()` Creates a new adapter for an object of class '`Float Filter Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createIntegerFilterTypeAdapter()` Creates a new adapter for an object of class '`Integer Filter Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createInternationalStringBranchTypeAdapter()` Creates a new adapter for an object of class '`International String Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createNotificationQueryTypeAdapter()` Creates a new adapter for an object of class '`Notification Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createOrganizationQueryTypeAdapter()` Creates a new adapter for an object of class '`Organization Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createPersonQueryTypeAdapter()` Creates a new adapter for an object of class '`Person Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createQueryExpressionBranchTypeAdapter()` Creates a new adapter for an object of class '`Expression Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryObjectQueryTypeAdapter()` Creates a new adapter for an object of class '`Registry Object Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryPackageQueryTypeAdapter()` Creates a new adapter for an object of class '`Registry Package Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryQueryTypeAdapter()` Creates a new adapter for an object of class '`Registry Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryRequestTypeAdapter()` Creates a new adapter for an object of class '`Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryResponseTypeAdapter()` Creates a new adapter for an object of class '`Response Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createResponseOptionTypeAdapter()` Creates a new adapter for an object of class '`Response Option Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createServiceBindingQueryTypeAdapter()` Creates a new adapter for an object of class '`Service Binding Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createServiceQueryTypeAdapter()` Creates a new adapter for an object of class '`Service Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSimpleFilterTypeAdapter()` Creates a new adapter for an object of class '`Simple Filter Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSlotBranchTypeAdapter()` Creates a new adapter for an object of class '`Slot Branch Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSpecificationLinkQueryTypeAdapter()` Creates a new adapter for an object of class '`Specification Link Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createStringFilterTypeAdapter()` Creates a new adapter for an object of class '`String Filter Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createSubscriptionQueryTypeAdapter()` Creates a new adapter for an object of class '`Subscription Query Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createUserQueryTypeAdapter()` Creates a new adapter for an object of class '`User Query Type`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryAdapterFactory

    public QueryAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAdhocQueryQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdhocQueryQueryTypeAdapter()

  Creates a new adapter for an object of class '`Adhoc Query Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdhocQueryQueryType`

### createAdhocQueryRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdhocQueryRequestTypeAdapter()

  Creates a new adapter for an object of class '`Adhoc Query Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdhocQueryRequestType`

### createAdhocQueryResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAdhocQueryResponseTypeAdapter()

  Creates a new adapter for an object of class '`Adhoc Query Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AdhocQueryResponseType`

### createAssociationQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociationQueryTypeAdapter()

  Creates a new adapter for an object of class '`Association Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationQueryType`

### createAuditableEventQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditableEventQueryTypeAdapter()

  Creates a new adapter for an object of class '`Auditable Event Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuditableEventQueryType`

### createBooleanFilterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createBooleanFilterTypeAdapter()

  Creates a new adapter for an object of class '`Boolean Filter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanFilterType`

### createBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createBranchTypeAdapter()

  Creates a new adapter for an object of class '`Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BranchType`

### createClassificationNodeQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationNodeQueryTypeAdapter()

  Creates a new adapter for an object of class '`Classification Node Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationNodeQueryType`

### createClassificationQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationQueryTypeAdapter()

  Creates a new adapter for an object of class '`Classification Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationQueryType`

### createClassificationSchemeQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createClassificationSchemeQueryTypeAdapter()

  Creates a new adapter for an object of class '`Classification Scheme Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassificationSchemeQueryType`

### createCompoundFilterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createCompoundFilterTypeAdapter()

  Creates a new adapter for an object of class '`Compound Filter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CompoundFilterType`

### createDateTimeFilterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDateTimeFilterTypeAdapter()

  Creates a new adapter for an object of class '`Date Time Filter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DateTimeFilterType`

### createDocumentRootAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createExternalIdentifierQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createExternalIdentifierQueryTypeAdapter()

  Creates a new adapter for an object of class '`External Identifier Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExternalIdentifierQueryType`

### createExternalLinkQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createExternalLinkQueryTypeAdapter()

  Creates a new adapter for an object of class '`External Link Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExternalLinkQueryType`

### createExtrinsicObjectQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createExtrinsicObjectQueryTypeAdapter()

  Creates a new adapter for an object of class '`Extrinsic Object Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExtrinsicObjectQueryType`

### createFederationQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFederationQueryTypeAdapter()

  Creates a new adapter for an object of class '`Federation Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FederationQueryType`

### createFilterQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFilterQueryTypeAdapter()

  Creates a new adapter for an object of class '`Filter Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FilterQueryType`

### createFilterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFilterTypeAdapter()

  Creates a new adapter for an object of class '`Filter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FilterType`

### createFloatFilterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFloatFilterTypeAdapter()

  Creates a new adapter for an object of class '`Float Filter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FloatFilterType`

### createIntegerFilterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createIntegerFilterTypeAdapter()

  Creates a new adapter for an object of class '`Integer Filter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntegerFilterType`

### createInternationalStringBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createInternationalStringBranchTypeAdapter()

  Creates a new adapter for an object of class '`International String Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InternationalStringBranchType`

### createNotificationQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createNotificationQueryTypeAdapter()

  Creates a new adapter for an object of class '`Notification Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NotificationQueryType`

### createOrganizationQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createOrganizationQueryTypeAdapter()

  Creates a new adapter for an object of class '`Organization Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrganizationQueryType`

### createPersonQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createPersonQueryTypeAdapter()

  Creates a new adapter for an object of class '`Person Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PersonQueryType`

### createQueryExpressionBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryExpressionBranchTypeAdapter()

  Creates a new adapter for an object of class '`Expression Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryExpressionBranchType`

### createRegistryObjectQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryObjectQueryTypeAdapter()

  Creates a new adapter for an object of class '`Registry Object Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryObjectQueryType`

### createRegistryPackageQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryPackageQueryTypeAdapter()

  Creates a new adapter for an object of class '`Registry Package Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryPackageQueryType`

### createRegistryQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryQueryTypeAdapter()

  Creates a new adapter for an object of class '`Registry Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryQueryType`

### createResponseOptionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createResponseOptionTypeAdapter()

  Creates a new adapter for an object of class '`Response Option Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResponseOptionType`

### createServiceBindingQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createServiceBindingQueryTypeAdapter()

  Creates a new adapter for an object of class '`Service Binding Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ServiceBindingQueryType`

### createServiceQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createServiceQueryTypeAdapter()

  Creates a new adapter for an object of class '`Service Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ServiceQueryType`

### createSimpleFilterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSimpleFilterTypeAdapter()

  Creates a new adapter for an object of class '`Simple Filter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SimpleFilterType`

### createSlotBranchTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSlotBranchTypeAdapter()

  Creates a new adapter for an object of class '`Slot Branch Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SlotBranchType`

### createSpecificationLinkQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSpecificationLinkQueryTypeAdapter()

  Creates a new adapter for an object of class '`Specification Link Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SpecificationLinkQueryType`

### createStringFilterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createStringFilterTypeAdapter()

  Creates a new adapter for an object of class '`String Filter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringFilterType`

### createSubscriptionQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSubscriptionQueryTypeAdapter()

  Creates a new adapter for an object of class '`Subscription Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SubscriptionQueryType`

### createUserQueryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createUserQueryTypeAdapter()

  Creates a new adapter for an object of class '`User Query Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserQueryType`

### createRegistryRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryRequestTypeAdapter()

  Creates a new adapter for an object of class '`Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryRequestType`

### createRegistryResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryResponseTypeAdapter()

  Creates a new adapter for an object of class '`Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryResponseType`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD